Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.xni
Interface XMLDocumentFragmentHandler

Deprecated. please use JDK supplied XML parsers and transformers

    public interface XMLDocumentFragmentHandler

This handler interface contains methods necessary to receive information about document elements and content.

Note: Some of these methods overlap methods found in the XMLDocumentHandler interface.

See Also:
  `XMLDocumentHandler`

Method Summary
`void` | `characters(XMLString text, Augmentations augmentations)` Deprecated. Character content.
`void` | `comment(XMLString text, Augmentations augmentations)` Deprecated. A comment.
`void` | `emptyElement(QName element, XMLAttributes attributes, Augmentations augmentations)` Deprecated. An empty element.
`void` | `endCDATA(Augmentations augmentations)` Deprecated. The end of a CDATA section.
`void` | `endDocumentFragment(Augmentations augmentations)` Deprecated. The end of the document fragment.
`void` | `endElement(QName element, Augmentations augmentations)` Deprecated. The end of an element.
`void` | `endGeneralEntity(String name, Augmentations augmentations)` Deprecated. This method notifies the end of a general entity.
`void` | `endPrefixMapping(String prefix, Augmentations augmentations)` Deprecated. The end of a namespace prefix mapping.
`void` | `ignorableWhitespace(XMLString text, Augmentations augmentations)` Deprecated. Ignorable whitespace.
`void` | `processingInstruction(String target, XMLString data, Augmentations augmentations)` Deprecated. A processing instruction.
`void` | `startCDATA(Augmentations augmentations)` Deprecated. The start of a CDATA section.
`void` | `startDocumentFragment(XMLLocator locator, NamespaceContext namespaceContext, Augmentations augmentations)` Deprecated. The start of the document fragment.
`void` | `startElement(QName element, XMLAttributes attributes, Augmentations augmentations)` Deprecated. The start of an element.
`void` | `startGeneralEntity(String name, XMLResourceIdentifier identifier, String encoding, Augmentations augmentations)` Deprecated. This method notifies the start of a general entity.
`void` | `startPrefixMapping(String prefix, String uri, Augmentations augmentations)` Deprecated. The start of a namespace prefix mapping.
`void` | `textDecl(String version, String encoding, Augmentations augmentations)` Deprecated. Notifies of the presence of a TextDecl line in an entity.

Method Detail

### startDocumentFragment

    void startDocumentFragment(XMLLocator locator,
                               NamespaceContext namespaceContext,
                               Augmentations augmentations)
                               throws XNIException

  Deprecated.
  The start of the document fragment.

  Parameters:
    `locator` - The document locator, or null if the document location cannot be reported during the parsing of this fragment. However, it is strongly recommended that a locator be supplied that can at least report the base system identifier.
    `namespaceContext` - The namespace context in effect at the start of this document fragment. This object only represents the current context. Implementors of this class are responsible for copying the namespace bindings from the the current context (and its parent contexts) if that information is important.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startGeneralEntity

    void startGeneralEntity(String name,
                            XMLResourceIdentifier identifier,
                            String encoding,
                            Augmentations augmentations)
                            throws XNIException

  Deprecated.
  This method notifies the start of a general entity.

  Note: This method is not called for entity references appearing as part of attribute values.

  Parameters:
    `name` - The name of the general entity.
    `identifier` - The resource identifier.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal entities or a document entity that is parsed from a java.io.Reader).
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### textDecl

    void textDecl(String version,
                  String encoding,
                  Augmentations augmentations)
                  throws XNIException

  Deprecated.
  Notifies of the presence of a TextDecl line in an entity. If present, this method will be called immediately following the startEntity call.

  Note: This method will never be called for the document entity; it is only called for external general entities referenced in document content.

  Note: This method is not called for entity references appearing as part of attribute values.

  Parameters:
    `version` - The XML version, or null if not specified.
    `encoding` - The IANA encoding name of the entity.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endGeneralEntity

    void endGeneralEntity(String name,
                          Augmentations augmentations)
                          throws XNIException

  Deprecated.
  This method notifies the end of a general entity.

  Note: This method is not called for entity references appearing as part of attribute values.

  Parameters:
    `name` - The name of the general entity.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### comment

    void comment(XMLString text,
                 Augmentations augmentations)
                 throws XNIException

  Deprecated.
  A comment.

  Parameters:
    `text` - The text in the comment.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by application to signal an error.

### processingInstruction

    void processingInstruction(String target,
                               XMLString data,
                               Augmentations augmentations)
                               throws XNIException

  Deprecated.
  A processing instruction. Processing instructions consist of a target name and, optionally, text data. The data is only meaningful to the application.

  Typically, a processing instruction's data will contain a series of pseudo-attributes. These pseudo-attributes follow the form of element attributes but are not parsed or presented to the application as anything other than text. The application is responsible for parsing the data.

  Parameters:
    `target` - The target.
    `data` - The data or null if none specified.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startPrefixMapping

    void startPrefixMapping(String prefix,
                            String uri,
                            Augmentations augmentations)
                            throws XNIException

  Deprecated.
  The start of a namespace prefix mapping. This method will only be called when namespace processing is enabled.

  Parameters:
    `prefix` - The namespace prefix.
    `uri` - The URI bound to the prefix.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startElement

    void startElement(QName element,
                      XMLAttributes attributes,
                      Augmentations augmentations)
                      throws XNIException

  Deprecated.
  The start of an element.

  Parameters:
    `element` - The name of the element.
    `attributes` - The element attributes.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### emptyElement

    void emptyElement(QName element,
                      XMLAttributes attributes,
                      Augmentations augmentations)
                      throws XNIException

  Deprecated.
  An empty element.

  Parameters:
    `element` - The name of the element.
    `attributes` - The element attributes.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### characters

    void characters(XMLString text,
                    Augmentations augmentations)
                    throws XNIException

  Deprecated.
  Character content.

  Parameters:
    `text` - The content.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### ignorableWhitespace

    void ignorableWhitespace(XMLString text,
                             Augmentations augmentations)
                             throws XNIException

  Deprecated.
  Ignorable whitespace. For this method to be called, the document source must have some way of determining that the text containing only whitespace characters should be considered ignorable. For example, the validator can determine if a length of whitespace characters in the document are ignorable based on the element content model.

  Parameters:
    `text` - The ignorable whitespace.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endElement

    void endElement(QName element,
                    Augmentations augmentations)
                    throws XNIException

  Deprecated.
  The end of an element.

  Parameters:
    `element` - The name of the element.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endPrefixMapping

    void endPrefixMapping(String prefix,
                          Augmentations augmentations)
                          throws XNIException

  Deprecated.
  The end of a namespace prefix mapping. This method will only be called when namespace processing is enabled.

  Parameters:
    `prefix` - The namespace prefix.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startCDATA

    void startCDATA(Augmentations augmentations)
                    throws XNIException

  Deprecated.
  The start of a CDATA section.

  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endCDATA

    void endCDATA(Augmentations augmentations)
                  throws XNIException

  Deprecated.
  The end of a CDATA section.

  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endDocumentFragment

    void endDocumentFragment(Augmentations augmentations)
                             throws XNIException

  Deprecated.
  The end of the document fragment.

  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD